* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

p, h1, h2, h3, h4 {
  display: inline-block;
  margin-block-start: 0em;
  margin-block-end: 0em;
  margin-inline-start: 0px;
  margin-inline-end: 0px;
  padding-inline-start: 0px;
}

body {
  background-color: rgb(255, 151, 186);
  font-family: sans-serif;
}
.wrapperb {
  height: 100vh;
  /*This part is important for centering*/
  display: flex;
  align-items: center;
  justify-content: center;
}

.typing-demo {
  width: 44ch;
  animation: typing 4s steps(44), blink .5s step-end infinite alternate;
  white-space: nowrap;
  overflow: hidden;
  border-right: 3px solid;
  font-family: monospace;
  font-size: 2em;
}

@keyframes typing {
  from {
    width: 0
  }
}
    
@keyframes blink {
  50% {
    border-color: transparent
  }
}
.outer_wrapper {
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}

.wrapper {
  width: 100%;
  height: 100%;
  overflow: hidden;
  max-width: 2000px;
  max-height: 1000px;
  z-index: -9999;
}

.panda_wrapper {
  position: absolute;
  width: 100px;
  height: 100px;
  overflow: hidden;
  transition: 2s;
}

.panda_wrapper svg { fill: rgb(173, 1, 87); }

.panda_wrapper.stop { transition: 0 !important; }

.panda_inner_wrapper {
  height: 100%;
  width: 100%;
  transition: 0;
}

.facing_upleft,
.facing_left,
.facing_downleft { 
  transform: scale(-1 , 1);
}

.panda_sprite {
  position: absolute;
  height: 500px;
  width: calc(13 * 100px);
  pointer-events: none;
}

.panda_sprite img {
  height: 100px;
  width: 100%;
  display: block;
}

.hit_wrapper {
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  pointer-events: none;
}

.hit_area {
  height: 50px;
  width: 40px;
  display: flex;
  flex-wrap: wrap;
}

.panda_wrapper.stop .hit_area {
  margin-top: 10px;
  height: 40px;
}

/* need to flip because the parent divs are flipped */
.facing_upleft .hit_area,
.facing_left .hit_area,
.facing_downleft .hit_area {
  transform: scale(-1 , 1);
}

.hit_corner {
  height: 50%;
  width: 50%;
  opacity: 0.1;
}

.sign {
  position: fixed;
  font-family: Arial, Helvetica, sans-serif;
  color: white;
  bottom: 10px;
  right: 10px;
  font-size: 10px;
}

a {
  color: white;
  text-decoration: none;
}

a:hover { text-decoration: underline; }